JavaSE11 で、JavaEE, CORBA, JAXB 関連の実装が Java Runtime から追い出された。
それらを使う場合には RI (参照実装)を依存ライブラリに追加する必要がある

dependencies {
   ...
   // JEP 320: Remove the Java EE and CORBA Modules (from JavaSE11)
   // http://openjdk.java.net/jeps/320
   // -> Use RI libraries from Maven Central
   // java.xml.ws RI
   compile 'com.sun.xml.ws:jaxws-ri:2.3.2' 
   // java.xml.bind RI
   compile 'javax.xml.bind:jaxb-api:2.3.1'
   compile 'com.sun.xml.bind:jaxb-core:2.3.0.1'
   compile 'com.sun.xml.bind:jaxb-impl:2.3.0.1'
   // java.activation RI
   compile 'com.sun.activation:javax.activation:1.2.0'
   // java.xml.ws.annotation RI
   compile 'javax.annotation:javax.annotation-api:1.3.2'
   // java.transaction RI
   compile 'javax.transaction:javax.transaction-api:1.3'
}

Java#Jetty


トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS   sitemap
Last-modified: 2020-02-10 (月) 02:06:33 (290d)
Short-URL:
ISBN10
ISBN13
9784061426061